import { Dict_Imgs } from "@/dict";
import { createAttrsForm } from "../../../defines/createAttrsForm";
import { createOptions } from "../../../defines/createOptions";
import { GroupNumber } from "../../../formItems/GroupNumber";

export { Component } from "./component";

export const { options, useCompData } = createOptions({
  name: "卡片2",
  thumbnail: require("@/assets/thumbnails/1.png"),
  value: {
    img: Dict_Imgs.Default,
    imgSize: [240, 240],
    desc: "描述",
  },
});

export const Form = createAttrsForm([
  {
    label: "图片尺寸",
    dataIndex: "value.imgSize",
    component: GroupNumber,
    props: {
      labels: ["宽", "高"],
    },
  },
]);
